function [sys,x0] = bior(t, x, u, flag, Mimax, Km, Y)

switch flag  
    
  case 0 % Dimensiona o sistema e inicializa os estados
   
      % sys=[estados,0,sadas,entradas,0,0]
      
        sys = [2, 0, 2, 2, 0, 0];
    
      % Condies iniciais
      
      S0  = 0.15;            
      X0  = 1.5;  
      x0  = [S0 X0]';
      
   case 1 % Calcula as derivadas
      
      % Atualiza entradas
      
      Salim = u(1);                  %Substrato na alimentacao
      
      D     =  u(2);               
      
      % Clculo das derivadas
      
      S = max(0,x(1));
      X = max(0,x(2));
      dX=-D*X+(Mimax*S*X/(Km+S));
      dS=D*(Salim-S)-((Mimax*S*X/(Km+S))*1/Y);    
      sys = [dS; dX].* (x>0);
      sys=sys(:);
      
   case 3 % Calcula as sadas
       
   	  sys = [x(1); x(2)];

   otherwise
       
   	sys = [];
    
end